	REAL FUNCTION GSWDTH(SIZE)
        IMPLICIT NONE
        REAL*4 TEMP,GSCHIT,GSCWID
C
C	This function returns the width in virtual coordinates of
C	a character.  If SIZE=0 then the current character size is assumed.
C
	INCLUDE DIGLIB$KOM:GCCPAR.PRM
C
	EXTERNAL LEN
	INTEGER LEN
C
	TEMP = SIZE*GSCHIT()
	IF (TEMP .EQ. 0.0) TEMP = CSIZE
	GSWDTH = GSCWID()*TEMP
	RETURN
	END
